通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Disk Restore Point - Get

获取磁盘恢复点资源

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/restorePointCollections/{restorePointCollectionName}/restorePoints/{vmRestorePointName}/diskRestorePoints/{diskRestorePointName}?api-version=2025-01-02

URI 参数

名称 必需 类型 说明
diskRestorePointName
path True

string

DiskRestorePoint 的名称

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

restorePointCollectionName
path True

string

磁盘还原点所属的还原点集合的名称。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

vmRestorePointName
path True

string

磁盘还原点所属的 VM 还原点的名称。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

DiskRestorePoint

Azure作已成功完成。

Other Status Codes

CloudError

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

get an incremental disk restorePoint resource.
get an incremental disk restorePoint when source resource is from a different region

get an incremental disk restorePoint resource.

示例请求

GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745?api-version=2025-01-02

示例响应

{
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
  "name": "TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
  "properties": {
    "timeCreated": "2020-09-16T04:41:35.079872+00:00",
    "sourceResourceId": "/subscriptions/d2260d06-e00d-422f-8b63-93df551a59ae/resourceGroups/rg0680fb0c-89f1-41b4-96c0-35733a181558/providers/Microsoft.Compute/disks/TestDisk45ceb03433006d1baee0",
    "osType": "Windows",
    "hyperVGeneration": "V1",
    "familyId": "996bf3ce-b6ff-4e86-9db6-dc27ea06cea5",
    "sourceUniqueId": "48e058b1-7eea-4968-b532-10a8a1130c13",
    "networkAccessPolicy": "AllowAll",
    "publicNetworkAccess": "Disabled",
    "logicalSectorSize": 4096
  }
}

get an incremental disk restorePoint when source resource is from a different region

示例请求

GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745?api-version=2025-01-02

示例响应

{
  "id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/restorePointCollections/rpc/restorePoints/vmrp/diskRestorePoints/TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
  "name": "TestDisk45ceb03433006d1baee0_b70cd924-3362-4a80-93c2-9415eaa12745",
  "properties": {
    "timeCreated": "2020-09-16T04:41:35.079872+00:00",
    "sourceResourceId": "/subscriptions/d2260d06-e00d-422f-8b63-93df551a59ae/resourceGroups/rg0680fb0c-89f1-41b4-96c0-35733a181558/providers/Microsoft.Compute/disks/TestDisk45ceb03433006d1baee0",
    "osType": "Windows",
    "hyperVGeneration": "V1",
    "familyId": "996bf3ce-b6ff-4e86-9db6-dc27ea06cea5",
    "sourceUniqueId": "48e058b1-7eea-4968-b532-10a8a1130c13",
    "networkAccessPolicy": "AllowAll",
    "publicNetworkAccess": "Disabled",
    "replicationState": "Succeeded",
    "completionPercent": 100,
    "sourceResourceLocation": "eastus2",
    "logicalSectorSize": 4096
  }
}

定义

名称 说明
ApiError

API 错误。

ApiErrorBase

Api 错误库。

Architecture

OS 磁盘支持的 CPU 体系结构。

CloudError

来自计算服务的错误响应。

createdByType

创建资源的标识的类型。

DiskPurchasePlan

用于通过 MarketPlace 建立任何第三方工件的购买上下文。

DiskRestorePoint

磁盘还原点的属性

DiskSecurityProfile

包含资源的安全相关信息。

DiskSecurityTypes

指定 VM 的 SecurityType。 仅适用于 OS 磁盘。

Encryption

磁盘或快照的静态加密设置

EncryptionType

用于加密磁盘数据的密钥类型。

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

InnerError

内部错误详细信息。

NetworkAccessPolicy

通过网络访问磁盘的策略。

OperatingSystemTypes

操作系统类型。

PublicNetworkAccess

用于控制磁盘上的导出的策略。

SupportedCapabilities

磁盘资源上保留以供 VM 使用的受支持功能列表。

SupportedSecurityOption

指支持创建受信任启动或机密 VM 的磁盘的安全功能

systemData

与创建和上次修改资源相关的元数据。

ApiError

API 错误。

名称 类型 说明
code

string

错误代码。

details

ApiErrorBase[]

Api 错误详细信息

innererror

InnerError

Api 内部错误

message

string

错误消息。

target

string

特定错误的目标。

ApiErrorBase

Api 错误库。

名称 类型 说明
code

string

错误代码。

message

string

错误消息。

target

string

特定错误的目标。

Architecture

OS 磁盘支持的 CPU 体系结构。

说明
x64
Arm64

CloudError

来自计算服务的错误响应。

名称 类型 说明
error

ApiError

API 错误。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

DiskPurchasePlan

用于通过 MarketPlace 建立任何第三方工件的购买上下文。

名称 类型 说明
name

string

计划 ID。

product

string

指定来自市场的映像的产品。 此值与 imageReference 元素下的 Offer 相同。

promotionCode

string

产品/服务促销代码。

publisher

string

发布者 ID。

DiskRestorePoint

磁盘还原点的属性

名称 类型 说明
id

string

资源的完全限定资源 ID。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties.completionPercent

number (float)

当源资源来自其他区域时,磁盘还原点的后台副本的完成百分比。

properties.diskAccessId

string

磁盘上使用专用终结点的 DiskAccess 资源的 ARM ID。

properties.encryption

Encryption

加密属性可用于使用客户托管密钥或平台托管密钥加密静态数据。

properties.familyId

string

后备快照的 MIS 系列的 ID

properties.hyperVGeneration

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

properties.logicalSectorSize

integer (int32)

UltraSSD_LRS 磁盘和 PremiumV2_LRS 磁盘的磁盘还原点的逻辑扇区大小(以字节为单位)。 支持的值为 512 和 4096。 4096 是默认值。

properties.networkAccessPolicy

NetworkAccessPolicy

通过网络访问磁盘的策略。

properties.osType

OperatingSystemTypes

操作系统类型。

properties.publicNetworkAccess

PublicNetworkAccess

用于控制磁盘上的导出的策略。

properties.purchasePlan

DiskPurchasePlan

为从中创建 OS 磁盘的映像购买计划信息。

properties.replicationState

string

当源资源来自其他区域时磁盘还原点的复制状态。

properties.securityProfile

DiskSecurityProfile

包含资源的安全相关信息。

properties.sourceResourceId

string

源磁盘或源磁盘还原点的 ARM ID。

properties.sourceResourceLocation

string

源资源来自不同区域时源磁盘或源磁盘还原点的位置。

properties.sourceUniqueId

string

源磁盘的唯一化身 ID

properties.supportedCapabilities

SupportedCapabilities

创建 OS 磁盘的映像支持的功能列表。

properties.supportsHibernation

boolean

指示磁盘上的 OS 支持休眠。

properties.timeCreated

string (date-time)

restorePoint 创建的时间戳

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

DiskSecurityProfile

包含资源的安全相关信息。

名称 类型 说明
secureVMDiskEncryptionSetId

string

与使用客户托管密钥加密的机密 VM 支持的磁盘关联的磁盘加密集的 ResourceId

securityType

DiskSecurityTypes

指定 VM 的 SecurityType。 仅适用于 OS 磁盘。

DiskSecurityTypes

指定 VM 的 SecurityType。 仅适用于 OS 磁盘。

说明
TrustedLaunch

Trusted Launch 提供安全功能,例如安全启动和虚拟可信平台模块 (vTPM)

ConfidentialVM_VMGuestStateOnlyEncryptedWithPlatformKey

指示仅加密虚拟机客户机状态的机密虚拟机磁盘

ConfidentialVM_DiskEncryptedWithPlatformKey

指示机密 VM 磁盘,其中 OS 磁盘和 VM 来宾状态都使用平台托管密钥加密

ConfidentialVM_DiskEncryptedWithCustomerKey

指示机密 VM 磁盘,其中 OS 磁盘和 VM 来宾状态都使用客户托管的密钥加密

ConfidentialVM_NonPersistedTPM

指示具有临时 vTPM 的机密 VM 磁盘。 vTPM 状态不会在虚拟机重新引导后保留。

Encryption

磁盘或快照的静态加密设置

名称 类型 说明
diskEncryptionSetId

string

用于启用静态加密的磁盘加密集的 ResourceId。

type

EncryptionType

用于加密磁盘数据的密钥类型。

EncryptionType

用于加密磁盘数据的密钥类型。

说明
EncryptionAtRestWithPlatformKey

磁盘使用平台托管密钥进行静态加密。 它是默认加密类型。 这不是磁盘加密集的有效加密类型。

EncryptionAtRestWithCustomerKey

磁盘使用客户管理的密钥进行静态加密,客户可以更改和撤销该密钥。

EncryptionAtRestWithPlatformAndCustomerKeys

磁盘在静态时使用 2 层加密进行加密。 其中一个密钥是客户管理的,另一个密钥是平台管理的。

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

说明
V1
V2

InnerError

内部错误详细信息。

名称 类型 说明
errordetail

string

内部错误消息或异常转储。

exceptiontype

string

异常类型。

NetworkAccessPolicy

通过网络访问磁盘的策略。

说明
AllowAll

磁盘可以从任何网络导出或上传到。

AllowPrivate

可以使用 DiskAccess 资源的专用终结点导出或上传磁盘。

DenyAll

无法导出磁盘。

OperatingSystemTypes

操作系统类型。

说明
Windows
Linux

PublicNetworkAccess

用于控制磁盘上的导出的策略。

说明
Enabled

当 NetworkAccessPolicy 设置为 AllowAll 时,可以生成 SAS URI,以在 Internet 上公开访问磁盘的基础数据。 当 NetworkAccessPolicy 设置为 AllowPrivate 时,只能从受信任的 Azure VNET 通过 SAS URI 访问数据。

Disabled

即使 NetworkAccessPolicy 设置为 AllowAll,也无法在 Internet 上公开访问磁盘的基础数据。 当 NetworkAccessPolicy 设置为 AllowPrivate 时,只能从受信任的 Azure VNET 通过 SAS URI 访问数据。

SupportedCapabilities

磁盘资源上保留以供 VM 使用的受支持功能列表。

名称 类型 说明
acceleratedNetwork

boolean

如此 如果从中创建 OS 磁盘的映像支持加速网络。

architecture

Architecture

OS 磁盘支持的 CPU 体系结构。

diskControllerTypes

string

OS 磁盘支持的磁盘控制器。 如果将其设置为 SCSI 或 SCSI、NVME 或 NVME、SCSI。

supportedSecurityOption

SupportedSecurityOption

指支持创建受信任启动或机密 VM 的磁盘的安全功能

SupportedSecurityOption

指支持创建受信任启动或机密 VM 的磁盘的安全功能

说明
TrustedLaunchSupported

磁盘支持创建受信任的启动虚拟机。

TrustedLaunchAndConfidentialVMSupported

该磁盘支持创建受信任启动和机密 VM。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。